Subject: Re: Discussion about iopa()

From: Timur Tabi <[email-masked]>
Date: Fri, 09 Feb 2007 16:51:02 -0600

Kumar Gala wrote:

> My feeling is to leave the code alone until we have the dma mapping api 
> setup to handle MURAM.  If we can't do alloc/map/free with the same 
> mechanism I dont see the value in just doing 'map'.  It just makes the 
> code more confusing w/o any big gain.

So you don't want to see a patch where we store the physical address in our own 
data structures when the memory is mapped (or allocated if it's regular RAM)?

-- 
Timur Tabi
Linux Kernel Developer @ Freescale